/*
  Copyright (C) 2002-2022 CERN for the benefit of the ATLAS collaboration
*/

/*! \file BasicStatCheck.h file declares the dqm_algorithms::BasicStatCheck  class.
 * \author Haleh Hadavand
*/

#ifndef DQM_ALGORITHMS_BASICSTATCHECK_H
#define DQM_ALGORITHMS_BASICSTATCHECK_H

#include "CxxUtils/checker_macros.h"

#include <dqm_core/Algorithm.h>
#include <string>
#include <iosfwd>

namespace dqm_algorithms
{
	struct ATLAS_NOT_THREAD_SAFE BasicStatCheck : public dqm_core::Algorithm
	//     ^ range change on const histogram
        {
	  BasicStatCheck(const std::string & name);

	    //overwrites virtual functions
	  BasicStatCheck * clone( );
	  dqm_core::Result * execute( const std::string & , const TObject & , const dqm_core::AlgorithmConfig & );
          using dqm_core::Algorithm::printDescription;
	  void  printDescription(std::ostream& out); 
	  private:
	  std::string m_name;
	};
}

#endif // DQM_ALGORITHMS_BASICSTATCHECK_H
