/*
  Copyright (C) 2002-2023 CERN for the benefit of the ATLAS collaboration
*/


#ifndef LARTPCNV_LARTPCNVDICT_H
#define LARTPCNV_LARTPCNVDICT_H

#include "LArTPCnv/LArDigitContainer_p1.h"
#include "LArTPCnv/LArDigitContainer_p2.h"
#include "LArTPCnv/LArDigitContainer_p3.h"
#include "LArTPCnv/LArRawChannel_p1.h"
#include "LArTPCnv/LArRawChannel_p2.h"
#include "LArTPCnv/LArRawChannelCollection_p1.h"
#include "LArTPCnv/LArRawChannelCollection_p2.h"
#include "LArTPCnv/LArRawChannelContainer_p1.h"
#include "LArTPCnv/LArRawChannelContainer_p2.h"
#include "LArTPCnv/LArRawChannelContainer_p3.h"
#include "LArTPCnv/LArRawChannelContainer_p4.h"

#include "LArTPCnv/LArFebErrorSummary_p1.h"

#include "LArTPCnv/LArNoisyROSummary_p1.h"
#include "LArTPCnv/LArNoisyROSummary_p2.h"
#include "LArTPCnv/LArNoisyROSummary_p3.h"
#include "LArTPCnv/LArNoisyROSummary_p4.h"
#include "LArTPCnv/LArNoisyROSummary_p5.h"
#include "LArTPCnv/LArNoisyROSummary_p6.h"

#include "LArTPCnv/LArLATOMEHeaderContainer_p1.h"

#include "Identifier/HWIdentifier.h"

#include "LArTPCnv/LArTTL1_p1.h"
#include "LArTPCnv/LArTTL1Container_p1.h"

struct GCCXML_DUMMY_INSTANTIATION_LARTPCNV {
    std::pair<unsigned int, std::vector<int> >  m_pair1;
    std::vector<std::pair<unsigned int, std::vector<int> >  > m_vpair1;

    std::pair<HWIdentifier, std::vector<int> >  m_pair2;
    std::vector<std::pair<HWIdentifier, std::vector<int> >  > m_vpair2;

    std::vector<LArRawChannel_p2> m_vLArRawChannel;
    std::vector<LArTTL1_p1> m_vLArTTL1;
};

#endif
