/*
  Copyright (C) 2002-2024 CERN for the benefit of the ATLAS collaboration
*/

#ifndef LARREADOUTGEOMETRY_EMBHVPATHOLOGIES_H
#define LARREADOUTGEOMETRY_EMBHVPATHOLOGIES_H
#include "GeoModelKernel/RCBase.h"
#include "GeoModelKernel/GeoIntrusivePtr.h"
// --------------------------------------------------------
// This class describes ugly things that can happen to an
// EMB Electrode. We foresee extending it as we learn of
// more badness.
//--------------------------------------------------------


class EMBHVPathologies: public RCBase {

 public:
  
  // Constructor:
  EMBHVPathologies(unsigned int electrodeNumber,
		  bool isShorted,
		  bool isDisconnected);

  // Destructor():
  virtual ~EMBHVPathologies();

  // The electrode number:
  const unsigned int & electrodeNumber() const;

  // Is shorted:
  const bool &isShorted() const;

  // Is disconnected();
  const bool & isDisconnected() const;

 private:

  // Illegal operations:
  EMBHVPathologies(const EMBHVPathologies & );
  EMBHVPathologies & operator=(const EMBHVPathologies & );
  
  // Internals:
  class Clockwork;
  Clockwork *m_c;

};

using EMBHVPathologiesConstLink=GeoIntrusivePtr<const EMBHVPathologies>;

#endif
