/*
  Copyright (C) 2002-2020 CERN for the benefit of the ATLAS collaboration
*/

#include "JetSubStructureMomentTools/AngularityTool.h"
#include "JetSubStructureMomentTools/DipolarityTool.h"
#include "JetSubStructureMomentTools/JetChargeTool.h"
#include "JetSubStructureMomentTools/NSubjettinessRatiosTool.h"
#include "JetSubStructureMomentTools/ShowerDeconstructionTool.h"
#include "JetSubStructureMomentTools/BoostedXbbTagTool.h"
#include "JetSubStructureMomentTools/EnergyCorrelatorRatiosTool.h"
#include "JetSubStructureMomentTools/EnergyCorrelatorGeneralizedRatiosTool.h"
#include "JetSubStructureMomentTools/JetPullTool.h"
#include "JetSubStructureMomentTools/KTSplittingScaleTool.h"
#include "JetSubStructureMomentTools/NSubjettinessTool.h"
#include "JetSubStructureMomentTools/SubjetFinderTool.h"
#include "JetSubStructureMomentTools/VolatilityTool.h"
#include "JetSubStructureMomentTools/EnergyCorrelatorTool.h"
#include "JetSubStructureMomentTools/EnergyCorrelatorGeneralizedTool.h"
#include "JetSubStructureMomentTools/JetSubStructureMomentToolsBase.h"
#include "JetSubStructureMomentTools/KtDeltaRTool.h"
#include "JetSubStructureMomentTools/PlanarFlowTool.h"
#include "JetSubStructureMomentTools/SubjetMakerTool.h"
#include "JetSubStructureMomentTools/CenterOfMassShapesTool.h"
#include "JetSubStructureMomentTools/ISubjetRecorderTool.h"
#include "JetSubStructureMomentTools/KtMassDropTool.h"
#include "JetSubStructureMomentTools/QwTool.h"
#include "JetSubStructureMomentTools/SoftDropObservablesTool.h"
#include "JetSubStructureMomentTools/MultiplicitiesTool.h"
#include "JetSubStructureMomentTools/SubjetRecorderTool.h"

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;
#pragma link C++ nestedclass;

#pragma link C++ class AngularityTool+;
#pragma link C++ class BoostedXbbTagTool+;
#pragma link C++ class CenterOfMassShapesTool+;
#pragma link C++ class DipolarityTool+;
#pragma link C++ class EnergyCorrelatorRatiosTool+;
#pragma link C++ class EnergyCorrelatorTool+;
#pragma link C++ class EnergyCorrelatorGeneralizedRatiosTool+;
#pragma link C++ class EnergyCorrelatorGeneralizedTool+;
#pragma link C++ class ISubjetRecorderTool+;
#pragma link C++ class JetChargeTool+;
#pragma link C++ class JetPullTool+;
#pragma link C++ class JetSubStructureMomentToolsBase+;
#pragma link C++ class KTSplittingScaleTool+;
#pragma link C++ class KtDeltaRTool+;
#pragma link C++ class KtMassDropTool+;
#pragma link C++ class MultiplicitiesTool+;
#pragma link C++ class NSubjettinessRatiosTool+;
#pragma link C++ class NSubjettinessTool+;
#pragma link C++ class PlanarFlowTool+;
#pragma link C++ class QwTool+;
#pragma link C++ class ShowerDeconstructionTool+;
#pragma link C++ class SoftDropObservablesTool+;
#pragma link C++ class SubjetFinderTool+;
#pragma link C++ class SubjetMakerTool+;
#pragma link C++ class SubjetRecorderTool+;
#pragma link C++ class VolatilityTool+;

#endif
