///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// Electron_p5.h 
// Header file for class Electron_p5
/////////////////////////////////////////////////////////////////// 
#ifndef EGAMMAEVENTTPCNV_ELECTRON_P5_H 
#define EGAMMAEVENTTPCNV_ELECTRON_P5_H 1

// egammaEventTPCnv includes
#include "egammaEventTPCnv/egamma_p5.h"

// forward declarations
class ElectronCnv_p5;

class Electron_p5 
{
  /////////////////////////////////////////////////////////////////// 
  // Friend classes
  /////////////////////////////////////////////////////////////////// 

  // Make the AthenaPoolCnv class our friend
  friend class ElectronCnv_p5;

  /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
public: 

  /** Default constructor: 
   */
  Electron_p5();

  /** Destructor: 
   */
  ~Electron_p5();

  /////////////////////////////////////////////////////////////////// 
  // Private data: 
  /////////////////////////////////////////////////////////////////// 
private: 

  /// the egamma part 
  egamma_p5 m_egamma;
  
}; 

/////////////////////////////////////////////////////////////////// 
// Inline methods: 
/////////////////////////////////////////////////////////////////// 

inline Electron_p5::Electron_p5() :
  m_egamma()
{}

#endif //> EGAMMAEVENTTPCNV_ELECTRON_P5_H
