/*
  Copyright (C) 2002-2022 CERN for the benefit of the ATLAS collaboration
*/

///////////////////////////////////////////////////////////////////
// GeoMaterialConverter.h, (c) ATLAS Detector software
///////////////////////////////////////////////////////////////////

#ifndef TRKDETDESCRGEOMODELCNV_GEOMATERIALCONVERTER_H
#define TRKDETDESCRGEOMODELCNV_GEOMATERIALCONVERTER_H
// Trk
#include "TrkGeometry/Material.h"
// STL
#include <iostream>

class GeoMaterial;

namespace Trk {

/**
  @class GeoMaterialConverter

  A Simple Helper Class that convertes the GeoMaterial object
  used in GeoModel full detector description to an appropriate
  Trk::ExtendedMaterialProperties object.

  @author Andreas.Salzburger@cern.ch
  */

class GeoMaterialConverter {

   public:
    /** Default constructor*/
    GeoMaterialConverter() = default;

    /** Destructor*/
    ~GeoMaterialConverter() = default;

    /** Single conversion ,
    input type GeoMaterial - output type Trk::MaterialProperties */
    static Material convert(const GeoMaterial* gm);

    /** hardcoded dummy materials : TODO : find generic criterium ( density ?
     * radiation length ? )  */
    static bool dummy_material(const GeoMaterial*);
};

}  // end of namespace Trk

#endif
