#
# Copyright (C) 2002-2025 CERN for the benefit of the ATLAS collaboration
#

# NB: this file is autogenerated, do not edit directly

class Chains:
    def get_menu_dict(self):
        d = {}

        d["electron"] = {
            "chains": [
                'HLT_e26_idperf_loose_L1eEM26M',
                'HLT_e26_idperf_tight_L1eEM26M',
                'HLT_e28_idperf_loose_L1eEM28M',

                'HLT_e5_idperf_tight_L1eEM5',
                'HLT_e5_idperf_tight_nogsf_L1eEM5',

                ],
            "signature": ['Egamma'],
            "menu": ''
        }

        d["electronTnP"] = {
            "chains": [
                'HLT_e26_idperf_loose_L1eEM26M',
                'HLT_e26_lhtight_e14_idperf_tight_nogsf_probe_50invmAB130_L1eEM26M',
                'HLT_e26_lhtight_e14_idperf_tight_probe_50invmAB130_L1eEM26M',
                'HLT_e28_idperf_loose_L1eEM28M',

            ],
            "signature": ['Egamma'],
            "menu": ''
        }

        d["electronLRT"] = {
            "chains": [
                'HLT_e20_idperf_loose_lrtloose_L1eEM18L',
                'HLT_e26_lhtight_ivarloose_e30_lhloose_nopix_lrtmedium_probe_L1eEM26M',
                'HLT_e26_lhtight_ivarloose_e5_idperf_loose_lrtloose_probe_L1eEM26M',
                'HLT_e30_idperf_loose_lrtloose_L1eEM26M',
                'HLT_e30_lhloose_nopix_lrtmedium_probe_g25_medium_L1eEM24L',
                'HLT_e5_idperf_loose_lrtloose_probe_g25_medium_L1eEM24L',

            ],
            "signature": ['Egamma'],
            "menu": ''
        }

        d["muon"] = {
            "chains": [
                'HLT_mu24_idperf_L1MU14FCH',
                'HLT_mu26_ivarperf_L1MU14FCH',

                'HLT_mu4_mu4_idperf_1invmAB5_L12MU3VF',
                'HLT_mu6_idperf_L1MU5VF',

            ],
            "signature": ['Muon'],
            "menu": ''
        }

        d["muonTnP"] = {
            "chains": [
                'HLT_mu14_mu14_idtp_idZmumu_L12MU8F',
                'HLT_mu24_idperf_L1MU14FCH',

            ],
            "signature": ['Muon'],
            "menu": ''
        }

        d["muonLRT"] = {
            "chains": [
                'HLT_mu20_LRT_idperf_L1MU14FCH',
                'HLT_mu24_idperf_L1MU14FCH',

            ],
            "signature": ['Muon'],
            "menu": ''
        }

        d["tau"] = {
            "chains": [
                'HLT_tau25_idperf_tracktwoMVA_L1cTAU20M',

            ],
            "signature": ['Tau'],
            "menu": ''
        }

        d["tauLRT"] = {
            "chains": [
                'HLT_tau25_idperf_trackLRT_L1cTAU20M',
                'HLT_tau25_idperf_tracktwoLLP_L1cTAU20M',

            ],
            "signature": ['Tau'],
            "menu": 'Dev_pp_run3_v1'
        }

        d["FSLRT"] = {
            "chains": [
                'HLT_fslrt0_L1jJ160',

            ],
            "signature": ['UnconventionalTracking'],
            "menu": 'Dev_pp_run3_v1'
        }

        d["bjet"] = {
            "chains": [
                'HLT_j20_roiftf_preselj20_L1RD0_FILLED',
                'HLT_j45_0eta290_020jvt_boffperf_pf_ftf_L1jJ50',
                'HLT_j80_0eta290_020jvt_boffperf_pf_ftf_L1jJ90',

            ],
            "signature": ["Bjet"],
            "menu": ''
        }

        d["fsjet"] = {
            "chains": [
                'HLT_j45_0eta290_020jvt_boffperf_pf_ftf_L1jJ50',
                'HLT_j45_pf_ftf_preselj20_L1jJ40',
                'HLT_j80_0eta290_020jvt_boffperf_pf_ftf_L1jJ90',

            ],
            "signature": ["Jet"],
            "menu": ''
        }

        d["minbias"] = {
            "chains": [
                'HLT_mb_sptrk_L1RD0_FILLED',

            ],
            "signature": ["MinBias"],
            "menu": 'PhysicsP1_pp_lowMu_run3_v1'
        }

        d["minbiaspix"] = {
            "chains": [
                'HLT_mb_pixsptrk_nototpix20_q2_L1TRT_ZDC_A_C_VjTE10',

            ],
            "signature": ["MinBias"],
            "menu": 'PhysicsP1_HI_run3_v1'
        }

        d["cosmic"] = {
            "chains": [
                'HLT_mu4_cosmic_L1MU3V_EMPTY',

            ],
            "signature": ['Muon','Cosmic',],
            "menu": 'Cosmic_run3_v1'
        }

        d["bphys"] = {
            "chains": [
                'HLT_2mu4_bBmumux_BsmumuPhi_L12MU3V',
                'HLT_mu11_mu6_bBmumux_Bidperf_L1MU8VF_2MU5VF',

            ],
            "signature": ['Muon','Bphysics',],
            "menu": ''
        }

        return d
    
    def get_values(self, slice_names: list, prop: str) -> set:
        values = set()
        d = self.get_menu_dict()

        for sn in slice_names:
            if sn not in d:
                raise RuntimeError("Undefined slice name {}".format(sn))
            cfg = d[sn]

            if prop in cfg:
                values.update(cfg[prop])

        return values

    def get_flag_str(self, slice_names: list, prop: str, flag_name: str) -> str:
        values = self.get_values(slice_names, prop)

        cs = ["'{}'".format(v) for v in values]
        return "flags.Trigger.{0}=[{1}]".format(flag_name, ",".join(cs))
    
    def get_selectChains_flag(self, slice_names: list) -> str:
        return self.get_flag_str(slice_names, "chains", "selectChains")
    
    def get_enabledSignatures_flag(self, slice_names: list) -> str:
        return self.get_flag_str(slice_names, "signature", "enabledSignatures")
    
    def get_menu_flag(self, slice_names: list) -> str:
        d = self.get_menu_dict()
        values = set()

        for sn in slice_names:
            cfg = d[sn]

            if(cfg["menu"] == ''):
                continue

            values.add(cfg["menu"])

        if(len(values) > 1):
            raise RuntimeError("Multiple menus specified, configured slices {0} conflict between {1}".format(slice_names, values))
        
        if(len(values) == 0):
            return ""
        
        return "flags.Trigger.triggerMenuSetup='{}'".format(list(values)[0])
    
    def get_compiled_flag_str(self, slice_names: list) -> str:
        flags = []
        flags.append(self.get_flag_str(slice_names, "chains", "selectChains"))
        flags.append(self.get_flag_str(slice_names, "signature", "enabledSignatures"))

        mf = self.get_menu_flag(slice_names)

        if(mf != ''):
            flags.append(mf)
            
        extra = self.get_values(slice_names, "extra")
        flags += extra

        return ";".join(flags)

if __name__ == "__main__":
    c = Chains()

    print(c.get_selectChains_flag(["muon", "cosmic"]))
    print(c.get_enabledSignatures_flag(["muon", "cosmic"]))
    print(c.get_menu_flag(["muon", "cosmic"]))